UNIBMPBUMP(1)

NAME
unibmpbump - adjust a .bmp image for unibmp2hex processing

SYNOPSIS
unibmpbump [-iinput-file.bmp] [-ooutput-file.bmp] [-v|--verbose] [-V|--version]

DESCRIPTION
unibmpbump reads a Microsoft Bitmap Graphics (".bmp") graphics image file and, if it appears to be in a known format, converts it for processing by unibmp2hex(1).

unibmpbump supports the following Device Independent Bitmap (DIB) header byte lengths for input image files:

    12  The BITMAPCOREHEADER format. This was the original Microsoft Windows header format. It has not been encoutered, and was added only as a subset of the formats that appear below.

    40  The BITMAPINFOHEADER format. This is the format that most graphics creation programs support, and is the header format that unibmp2hex expects.

    108 The BITMAPV4HEADER format. This is the format that the Image Magick convert program creates when converting a PNG image to a BMP image using the "-monochrome" option.

    124 The BITMAPV5HEADER format. This is the format that the Image Magick convert program creates when converting a PNG image to a BMP image without the "-monochrome" option; convert will encode the image as a "grayscale" image, but with only two colors: black and white.

unibmpbump is able to read files created by unihex2png that were subsequently saved as BMP files, for example by the convert(1) program, which is part of the Image Magick package. Images created by unihex2png(1) are 544 rows high by 560 columns wide. Images created by unihex2bmp(1) are 544 rows high by 576 columns wide. Thus, if the input Bitmap Graphics file is 544 by 560 pixels, unibmpbump assumes that the file was originally a Portable Network Graphics (".png") file created by unihex2png and realigns the glyphs so they are positioned as unibmp2hex expects.

OPTIONS

-i  Specify an input Bitmaps Graphics (".bmp") file. If no input file is specified, input is taken from stdin. The input file must be either 544 rows by 560 columns (for a file created by unihex2png originally) or 544 rows by 576 columns (for a file created by unihex2bmp originally).

-o  Specify an output Bitmaps Graphics (".bmp") file. If no output file is specified, output is sent to stdout. The output file will be 544 rows high by 576 columns wide with a 40 byte Device Independent Bitmap (DIB) header, which is the format that unibmp2hex expects.

-v, --verbose
    Verbose output. Print information about the input file on stderr.

-V, --version
    Print the version of unibmpbump and exit.

FILES
Bitmap Graphics (".bmp") input and output files.

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unicoverage(1), unidup(1), unifont(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihex2png(1), unihexfill(1), unihexgen(1), unihexrotate(1), unipagecount(1), unipng2hex(1)

AUTHOR
unibmpbump was written by Paul Hardy.

LICENSE
unibmpbump is Copyright © 2019 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known bugs exist.